.SplashScreen {
  $anime-time: 8s;
  $box-size: 200px;
  $clip-distance: 0.05;
  $clip-size: $box-size * (1 + $clip-distance * 2);
  $path-width: 2px;
  $main-color: white;
  $codepen-logo-path: url('../../public/img/logo.i.g.svg');

  @keyframes clipMe {
    0%,
    100% {
      clip: rect(0, $clip-size, $path-width, 0);
    }

    25% {
      clip: rect(0, $path-width, $clip-size, 0);
    }

    50% {
      clip: rect($clip-size - $path-width, $clip-size, $clip-size, 0);
    }

    75% {
      clip: rect(0, $clip-size, $clip-size, $clip-size - $path-width);
    }
  }

  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  box-sizing: border-box;
  width: 100vw;
  height: 100vh;
  padding: 50px;
  background: #547d91;
  color: $main-color;
  font-family: sans-serif;

  &__Title {
    font-size: 3rem;
  }

  &__Logo {
    flex: 1 1;
  }

  %full-fill {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  }

  .Logo {
    @extend %full-fill;

    width: $box-size;
    height: $box-size;
    margin: auto;
    background: $codepen-logo-path no-repeat 50% / 80% rgba(#000, 0.1);
    color: $main-color;
    box-shadow: inset 0 0 0 1px rgba($main-color, 0.5);

    &::before,
    &::after {
      @extend %full-fill;

      content: '';
      z-index: -1;
      margin: -1 * $clip-distance * 100%;
      box-shadow: inset 0 0 0 $path-width;
      animation: clipMe $anime-time linear infinite;
    }

    &::before {
      animation-delay: $anime-time * -0.5;
    }
  }
}
